package cn.ezhizao.project.business.domain;

import cn.ezhizao.framework.aspectj.lang.annotation.Excel;
import cn.ezhizao.framework.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 客户物料对象 biz_company_material
 *
 * @author ezhizao
 * @date 2025-05-27
 */
@Data
@TableName(value = "biz_company_material")
public class BizCompanyMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 金碟id */
    @ApiModelProperty(value = "${comment}")
    private Long jdId;

    /** 单据编号 */
    @Excel(name = "单据编号")
    @ApiModelProperty(value = "单据编号")
    private String code;

    /** 名称 */
    @Excel(name = "名称")
    @ApiModelProperty(value = "名称")
    private String name;

    /** 租户id */
    @ApiModelProperty(value = "名称")
    private Long tenantId;

    /** 客户id */
    @ApiModelProperty(value = "名称")
    private Long companyId;

    /** 客户编码 */
    @Excel(name = "客户编码")
    @ApiModelProperty(value = "客户编码")
    private String companyCode;

    /** 客户名称 */
    @Excel(name = "客户名称")
    @ApiModelProperty(value = "客户名称")
    private String companyName;

    /** 多选客户id */
    @ApiModelProperty(value = "客户名称")
    private String mutiCompanyIds;

    /** 多选客户编码 */
    @Excel(name = "多选客户编码")
    @ApiModelProperty(value = "多选客户编码")
    private String mutiCompanyCodes;

    /** 多选客户名称 */
    @Excel(name = "多选客户名称")
    @ApiModelProperty(value = "多选客户名称")
    private String mutiCompanyNames;

    /** 单据状态 */
    @Excel(name = "单据状态")
    @ApiModelProperty(value = "单据状态")
    private String status;

    @ApiModelProperty(value = "客户物料主表编码")
    private Long companyMaterialId;

    /** 客户编码 */
    @Excel(name = "客户编码")
    @ApiModelProperty(value = "客户编码")
    private String companyMaterialCode;

    /** 客户名称 */
    @Excel(name = "客户名称")
    @ApiModelProperty(value = "客户名称")
    private String companyMaterialName;

    /** 产品id */
    @ApiModelProperty(value = "客户名称")
    private Long productId;

    /** 产品编码 */
    @Excel(name = "产品编码")
    @ApiModelProperty(value = "产品编码")
    private String productCode;

    /** 产品名称 */
    @Excel(name = "产品名称")
    @ApiModelProperty(value = "产品名称")
    private String description;

    /** 规格型号 */
    @Excel(name = "规格型号")
    @ApiModelProperty(value = "规格型号")
    private String specification;

    /** 是否启用(0:是；1：否 */
    @Excel(name = "是否启用(0:是；1：否")
    @ApiModelProperty(value = "是否启用(0:是；1：否")
    private Integer isStartUsing;

    /** 默认携带(0:是，1：否) */
    @Excel(name = "默认携带(0:是，1：否)")
    @ApiModelProperty(value = "默认携带(0:是，1：否)")
    private Integer isCarry;

    /** 是否多选客户(0:是，1：否) */
    @Excel(name = "是否多选客户(0:是，1：否)")
    @ApiModelProperty(value = "是否多选客户(0:是，1：否)")
    private Integer isMutiCompany;
    @TableField(exist = false)
    private List<String> companyCodes;

}
