package cn.ezhizao.project.business.service.impl;

import java.util.List;
import javax.annotation.Resource;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import cn.ezhizao.project.business.mapper.BizCompanyMaterialMapper;
import cn.ezhizao.project.business.domain.BizCompanyMaterial;
import cn.ezhizao.project.business.service.IBizCompanyMaterialService;

/**
 * 客户物料Service业务层处理
 *
 * @author ezhizao
 * @date 2025-05-27
 */
@Service
public class BizCompanyMaterialServiceImpl  extends ServiceImpl<BizCompanyMaterialMapper, BizCompanyMaterial> implements IBizCompanyMaterialService
{
    @Resource
    private BizCompanyMaterialMapper bizCompanyMaterialMapper;

    /**
     * 查询客户物料列表
     *
     * @param bizCompanyMaterial 客户物料
     * @return 客户物料
     */
    @Override
    public List<BizCompanyMaterial> getList(BizCompanyMaterial bizCompanyMaterial)
    {
        return bizCompanyMaterialMapper.getList(bizCompanyMaterial);
    }

    /**
     * 物理删除
     * @param bizCompanyMaterial
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizCompanyMaterial bizCompanyMaterial){ return bizCompanyMaterialMapper.physicalDelete(bizCompanyMaterial); };

}
