package cn.ezhizao.project.business.service.impl;

import cn.ezhizao.project.business.domain.BizInboundOrderDetail;
import cn.ezhizao.project.business.mapper.BizInboundOrderDetailMapper;
import cn.ezhizao.project.business.service.IBizInboundOrderDetailService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 生产入库明细Service业务层处理
 *
 * @author ezhizao
 * @date 2025-05-20
 */
@Service
public class BizInboundOrderDetailServiceImpl  extends ServiceImpl<BizInboundOrderDetailMapper, BizInboundOrderDetail> implements IBizInboundOrderDetailService
{
    @Resource
    private BizInboundOrderDetailMapper bizInboundOrderDetailMapper;

    /**
     * 查询生产入库明细列表
     *
     * @param bizInboundOrderDetail 生产入库明细
     * @return 生产入库明细
     */
    @Override
    public List<BizInboundOrderDetail> getList(BizInboundOrderDetail bizInboundOrderDetail)
    {
        return bizInboundOrderDetailMapper.getList(bizInboundOrderDetail);
    }

    /**
     * 物理删除
     * @param bizInboundOrderDetail
     * @return 删除结果
     */
    @Override
    public int physicalDelete(BizInboundOrderDetail bizInboundOrderDetail){ return bizInboundOrderDetailMapper.physicalDelete(bizInboundOrderDetail); };

}
